#!/bin/bash
ufw $1 allow to any port   53 proto any from any comment "DNS"
ufw $1 allow to any port  135 proto tcp from any comment "End Point Mapper(WINS)"
ufw $1 allow to any port  137 proto udp from any comment "NetBIOS Name Service"
ufw $1 allow to any port  138 proto udp from any comment "NetBIOS Datagram"
ufw $1 allow to any port  139 proto tcp from any comment "NetBIOS Session"
ufw $1 allow to any port  445 proto tcp from any comment "SMB over TCP"
ufw $1 allow to any port  389 proto any from any comment "LDAP"
ufw $1 allow to any port  636 proto tcp from any comment "LDAPS"
ufw $1 allow to any port   88 proto any from any comment "Kerberos"
ufw $1 allow to any port  464 proto any from any comment "Kerberos kpasswd"
ufw $1 allow to any port 3268 proto tcp from any comment "Global Catalog"
ufw $1 allow to any port 3269 proto tcp from any comment "Global Catalog SSL"
ufw $1 allow to any port 49152:49200 \
                              proto tcp from any comment "RPC The same value as SMB_RPC_PORTS."
# for Primary
ufw $1 allow to any port  873 proto tcp from any comment "rsync"
